//
//  QFAction.h
//  QFComFunction
//
//  Created by baihaozi on 12-8-2.
//  Copyright 2012年 www.goodldy.com. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NSImage+Extras.h"
#import "NSColor+QFExtras.h"
#import "QFLogger.h"


@interface QFAction : NSObject {
@private
    
}

#pragma mark -
#pragma mark 文件操作
//获取唯一的文件名,保存文件时候用
+(NSString *) getOnlyFileName:(NSString *)outPutPathStr FileName:(NSString*)fileNameStr FileExe:(NSString *)fileExe;
+(NSString *) getOnlyFileNameByPath:(NSString *)getStr;

//创建文件夹
+(void)creatDirectoryPro:(NSString *)aPath;
+(NSString *)getSysPath;


#pragma mark -
#pragma mark 字符函数
//获取MD5
+(NSString *)getMd5String:(NSString *)getStr;
+(int)getIntFromMd5Byte:(NSString *)getStr;

//解码Base64
+(NSString *)decodeBase64Pro:(NSString *)input;

//16进制字符转数字
+(int)getIntValueByHex:(NSString *)getStr;

//字符串转Color
+(NSColor *)getColorFromStr:(NSString *)hexColor;
+(NSColor *)getColorFromStrByScan:(NSString *)hexColor;

//数字转String
+(NSString *)getStrFromInt:(int)getInt;
+(NSString *)getStrFromFloat:(float)getf;
+(NSString *)getStrFromBool:(BOOL)getBool;
+(NSString *)getNonullStr:(NSString *)getStr;
+(NSString *)getTrimStr:(NSString *)getStr;
+(NSArray *)getStrArr:(NSString *)getStr;
+(NSString *)getStrFromArr:(NSArray *)getArr;

+(NSString*)getStrFromChar:(char *)getChar;
+(void)setCharByStr:(char **)setChar Str:(NSString *)selStr;


//获取本地化语言
+(NSString *)getLanStr:(NSString *)key;



#pragma mark -
#pragma mark 序列化
//序列化对象对拷
+(void)CopyObject:(id*)copyDes forPath:(NSString *)pathStr;
+(void)CopyObject:(id)copySource copyDes:(id*)copyDes;
//对象序列化保存到文件
+(void)SaveObject:(id)saveSource forPath:(NSString *)pathStr;



#pragma mark -
#pragma mark 界面相关
//显示提示消息
+(BOOL)ChooseInfoMessage:(NSString *)showStr;
+(int)showInfoMessage:(NSString *)showStr;




#pragma mark -
#pragma mark XML操作
+(NSString *)getNodeValue:(NSXMLElement*)curElement nodeName:(NSString *)stringValue;
+(NSString *)getNodeAtrValue:(NSXMLElement*)curElement nodeName:(NSString *)stringValue;




#pragma mark -
#pragma mark 其它功能函数
+(void)openPage:(NSString *)path;




#pragma mark -
#pragma mark 日志相关

+(void)setLoggerLevel:(QFLoggerLevel)setLevel;
+(void)setLoggerArcLevel;
+(void)setLoggerDebugLevel;
+(void)setLoggerSysLevel;
+(void)setLoggerTempLevel;
+(void)setLoggerHasFile:(BOOL)setTag;
+(void)setLoggerFilePath:(NSString *)setStr;

@end
